# 1. Підписка: Отримати події

Підписуйтесь на підписки коли `INSERT`/`MODIFY`/`REMOVE` дії відбуваються з "Farm", "Field", "FieldSatelliteImage", "RasterAnalysisMap", "VectorAnalysisMap", іншими сутностями.

Механізм підписок побудований на основі MQTT та WebSocket. Наша рекомендація — почати інтеграцію з прочитання [статті AWS AppSync Subscription](https://docs.aws.amazon.com/appsync/latest/devguide/real-time-websocket-client.html).&#x20;

{% hint style="info" %}
Події підписок відправляються одразу після того, як подія сталася в бекенді GeoPard.
{% endhint %}

{% hint style="info" %}
Кожна подія підписки має унікальну ідентифікацію під назвою `uuid`, яка корисна для фільтрації оброблених і пропущених подій, запитаних з [82. Запит: Відновити події підписки](/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/82.-mutaciya-vidnoviti-podiyi-pidpiski.md).
{% endhint %}

{% code lineNumbers="true" %}

```graphql
subscription FollowPlatformEvent {
  followPlatformEvent(userUuid: "<placeholder_of_user_uuid>") {
    uuid
    userUuid
    action
    nodePath {
      entity
      uuid
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ukrainian/dokumentaciya-api/oglyad-zapitiv-geopard-api/1.-pidpiska-otrimati-podiyi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
